using System;
using System.Collections.Generic;
using System.Linq;

using MonoTouch.Foundation;
using MonoTouch.UIKit;

namespace UISearchBarSample
{
	// The UIApplicationDelegate for the application. This class is responsible for launching the 
	// User Interface of the application, as well as listening (and optionally responding) to 
	// application events from iOS.
	[Register ("AppDelegate")]
	public partial class AppDelegate : UIApplicationDelegate
	{
		// class-level declarations
		UIWindow window;
		UINavigationController rootNavigationController;

		//
		// This method is invoked when the application has loaded and is ready to run. In this 
		// method you should instantiate the window, load the UI into it and then make the window
		// visible.
		//
		// You have 17 seconds to return from this method, or iOS will terminate your application.
		//
		public override bool FinishedLaunching (UIApplication app, NSDictionary options)
		{
			// create a new window instance based on the screen size
			this.window = new UIWindow (UIScreen.MainScreen.Bounds);
			
			// Instantiate a new navigation controller
			this.rootNavigationController = new UINavigationController ();
			
			// Instantiate Home Screen
			UISearchBarSample.HomeScreen homeScreen = new UISearchBarSample.HomeScreen ();
			
			// Add the home screen to the navigation controller
			this.rootNavigationController.PushViewController (homeScreen, true);
		
			// set root controller on the window
			this.window.RootViewController = this.rootNavigationController;
			
			// make the window visible
			this.window.MakeKeyAndVisible ();
			
			return true;
		}
	}
}

