using System;
using System.Drawing;

using MonoTouch.Foundation;
using MonoTouch.UIKit;

namespace UISearchBarSample
{
	public partial class HomeScreen : UIViewController
	{
		
		//SearchResults searchResults;
		public static string SearchCriteria;
		
		// Destination ViewController
		SearchResults searchResults;
		
		public HomeScreen () : base ("HomeScreen", null)
		{
			this.Title = "Zip Feeder Search";
		}
		
		public override void DidReceiveMemoryWarning ()
		{
			// Releases the view if it doesn't have a superview.
			base.DidReceiveMemoryWarning ();
			
			// Release any cached data, images, etc that aren't in use.
		}
		
		public override void ViewWillAppear (bool animated)
		{
			base.ViewWillAppear (animated);
			this.NavigationController.SetNavigationBarHidden (true, animated);
		}
		
		public override void ViewWillDisappear(bool animated)
		{
			base.ViewWillDisappear (animated);
			this.NavigationController.SetNavigationBarHidden(false, animated);
		}

		
		public override void ViewDidLoad ()
		{
			base.ViewDidLoad ();
			
			// Dismiss the UISearcBar "Search" Button when clicked
			this.uiSearchBar.SearchButtonClicked += delegate {
				uiSearchBar.ResignFirstResponder ();
			};
			
			
			// Handle the Search Click
			this.uiSearchBar.SearchButtonClicked += (sender, e) => {
				
				// Populate SearchCriteria Property so user defined value is available on SearchResults ViewController
				SearchCriteria = uiSearchBar.Text;
				
				// Clear out user entered text
				uiSearchBar.Text = string.Empty;
				
				// Clears out previous results on SearchResults VC
				searchResults = null;
				
				if (this.searchResults == null) {
					this.searchResults = new SearchResults ();
				}
				
				// display the Search Results screen
				this.NavigationController.PushViewController (this.searchResults, true);
				
			};
		}
		
		public override void ViewDidUnload ()
		{
			base.ViewDidUnload ();
			
			// Clear any references to subviews of the main view in order to
			// allow the Garbage Collector to collect them sooner.
			//
			// e.g. myOutlet.Dispose (); myOutlet = null;
			
			ReleaseDesignerOutlets ();
		}
		
		public override bool ShouldAutorotateToInterfaceOrientation (UIInterfaceOrientation toInterfaceOrientation)
		{
			// Return true for supported orientations
			return (toInterfaceOrientation != UIInterfaceOrientation.PortraitUpsideDown);
		}
	}
}

